local function button_graphics(xpos, ypos)
    return {
        type = "monolith",

        top_monolith_border = 0,
        right_monolith_border = 0,
        bottom_monolith_border = 0,
        left_monolith_border = 0,

        monolith_image = {
            filename = "gui.png",
            priority = "extra-high-no-scale",
            width = 16,
            height = 16,
            x = xpos,
            y = ypos,
        },
    }
end

if not evogui then evogui = {} end

evogui.styles = {
	EvoGUI_button_with_icon = {
		--type = "button_style",
		--parent = "slot_button_style",

		scalable = true,

		top_padding = 0,
		right_padding = 0,
		bottom_padding = 0,
		left_padding = 0,

		width = 17,
		height = 17,

		--default_graphical_set = button_graphics( 0,  0),
		--hovered_graphical_set = button_graphics(16,  0),
		--clicked_graphical_set = button_graphics(32,  0),
	},



	EvoGUI_expando_closed = {
		--type = "button_style",
		--parent = "EvoGUI_button_with_icon",

		--default_graphical_set = button_graphics( 0, 16),
		--hovered_graphical_set = button_graphics(16, 16),
		--clicked_graphical_set = button_graphics(32, 16),
	},


	EvoGUI_expando_open = {
		--type = "button_style",
		--parent = "EvoGUI_button_with_icon",

		--default_graphical_set = button_graphics( 0, 32),
		--hovered_graphical_set = button_graphics(16, 32),
		--clicked_graphical_set = button_graphics(32, 32),
	},

	EvoGUI_settings = {
		--type = "button_style",
		--parent = "EvoGUI_button_with_icon",

		--default_graphical_set = button_graphics( 0, 48),
		--hovered_graphical_set = button_graphics(16, 48),
		--clicked_graphical_set = button_graphics(32, 48),
	}
}
