require("locale.utils.event")
require("locale.utils.applystyle")
require("locale.tag.tag")
require("locale.rso.rso_control")
require("locale.evogui.evoinit")
require("locale.warp.telehome")
require("locale.utils.admin")
require("locale.utils.showhealth")
require("locale.utils.rocket")
require("locale.utils.undecorator")

Event.register(defines.events.on_chunk_generated, function(event)
	UndecorateOnChunkGenerate(event)
end)

Event.register(defines.events.on_tick, function(event)
	if global.scenario then return end

	global.scenario = {}
    global.scenario.config = {}
    global.scenario.config.announcements_enabled = true -- if true announcements will be shown
    global.scenario.config.announcement_delay = 595 -- number of seconds between each announcement
    global.scenario.config.score_delay = 8 -- delay in seconds before hiding rocket score window (0 = never show)
    global.scenario.config.autolaunch_default = false -- default autolaunch option
    global.scenario.config.logistic_research_enabled = false -- if true then research for requesters and active providers will be enabled.
    global.scenario.config.mapsettings = global.scenario.config.mapsettings or {}
    global.scenario.config.mapsettings.cross_width = 200 -- total width of cross
    global.scenario.config.mapsettings.spiral_land_width = 70 -- width of land in spiral
    global.scenario.config.mapsettings.spiral_water_width = 70 -- width of water in spiral
    global.scenario.custom_functions = {}
	
	game.print("######### AGN CODE ########")
	game.print("Injected Globals Into Scripts!")
	
end)